package com.hungraim.ltc.governance.service.impl;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.governance.dao.AprOrganMapper;
import com.hungraim.ltc.governance.service.AprOrganService;
import com.hungraim.ltc.pojo.vo.governance.AprOrganVO;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.Arrays;
import java.util.List;


@Service
@Slf4j
@AllArgsConstructor
public class AprOrganServiceImpl implements AprOrganService {

    private final AprOrganMapper aprOrganMapper;

    @Override
    public Page<AprOrganVO> aprOrganList(Page<AprOrganVO> page, String organId, String organName, String code) {
        List<String> organIds = null;
        if (StrUtil.isNotBlank(organId)) {
            organIds = Arrays.asList(organId.split(","));
        }
        return aprOrganMapper.aprOrganList(page, organIds, organName, code);
    }
}
