package com.hungraim.ltc.pojo.vo.system;

import com.hungraim.ltc.pojo.entity.SysConfig.ChFndAttach;

import java.util.Date;
import java.util.List;

/**
 * 
 * @TableName CH_SRV_ORGAN
 */
public class SrvOrganVo{

//    private static final long serialVersionUID = 1L;
    /**
     * 护理机构id
     */
    private Integer srvOrganId;

    /**
     * 机构代码
     */
    private String organId;

    /**
     * 护理机构名称
     */
    private String srvOrganName;

    /**
     * 所在省份
     */
    private String districtProvincial;

    /**
     * 所在城市
     */
    private String districtCity;

    /**
     * 所在区域
     */
    private String districtArea;

    /**
     * 服务机构类型
     */
    private Integer organTypeId;

    /**
     * 登记号
     */
    private String permitId;

    /**
     * 详细地址
     */
    private String adressDetail;

    /**
     * 联系人姓名
     */
    private String linkName;

    /**
     * 联系人电话
     */
    private String linkTel;

    /**
     * 床位数
     */
    private Integer bunk;

    /**
     * 创建人
     */
    private Integer defineEmp;

    /**
     * 创建时间
     */
    private Date effTime;

    /**
     * 终止人
     */
    private Integer endEmp;

    /**
     * 终止时间
     */
    private Date endTime;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Integer fcu;

    /**
     * 末次操作时间
     */
    private Date lcd;

    /**
     * 末次操作人
     */
    private Integer lcu;

    /**
     * 数据来源 网厅：0，核心：1，微信：2
     */
    private Integer dataFrom;

    /**
     * 网厅创建人
     */
    private Integer webDefineEmp;

    /**
     * 网厅终止人
     */
    private Integer webEndEmp;

    /**
     * 提供的服务类型
     */
    private String srvType;

    /**
     * 接受评定省
     */
    private String acptProvincial;

    /**
     * 接受评定市
     */
    private String acptCity;

    /**
     * 接受评定区
     */
    private String acptArea;

    /**
     * 接受评定街道
     */
    private String acptStreet;

    /**
     * 接受评定详细地址
     */
    private String acptAddress;

    /**
     * 服务配置模式ID
     */
    private Integer cfgModeId;

    /**
     * 状态 有效：0,作废：1
     */
    private Integer status;

    /**
     * 统一社会信用代码
     */
    private String unifiedSocialCreditCode;

    /**
     * 银行账户名称
     */
    private String accName;

    /**
     * 银行开户行名称
     */
    private String bankAccName;

    /**
     * 银行账号
     */
    private String bankNo;

    /**
     * 联系人邮箱
     */
    private String linkMail;

    /**
     * 机构级别
     */
    private Integer levelCode;

    /**
     * 机构编码
     */
    private String srvOrganCode;

    /**
     * 接受服务地址经度
     */
    private String acptLongitude;

    /**
     * 接受服务地址纬度
     */
    private String acptLatitude;

    /**
     * 接受服务路街
     */
    private String acptRoadDetail;

    /**
     * 接受服务路/街 （0路，1街，2村）
     */
    private Integer acptRoadType;

    /**
     * 接受服务号弄
     */
    private String acptNumberDetail;

    /**
     * 接受服务号/弄 （0弄，1号）
     */
    private Integer acptNumberType;

    /**
     * 医保编码
     */
    private String medicareNumber;

    /**
     * 银行开户名称代码
     */
    private String bankAccCode;

    /**
     * 账号所属省
     */
    private String bankDistrictProvincial;

    /**
     * 账号所属市
     */
    private String bankDistrictCity;

    /**
     * 账号所属网点
     */
    private String bankDistrictWebsite;

    /**
     * 卡类型
     */
    private Integer cardType;

    /**
     * 备注
     */
    private String remark;

    /**
     * 审核人姓名（长护）
     */
    private String checkNameCh;

    /**
     * 审核备注（长护）
     */
    private String checkRemarkCh;

    /**
     * 审核时间（长护）
     */
    private Date checkTimeCh;

    /**
     * 审核状态（长护  未审核:0,审核中:1,审核通过:2,审核不通过:3）
     */
    private Integer checkStatusCh;

    /**
     * 审核人姓名（理赔）
     */
    private String checkNameLp;

    /**
     * 审核备注（理赔）
     */
    private String checkRemarkLp;

    /**
     * 审核时间（理赔）
     */
    private Date checkTimeLp;

    /**
     * 审核状态（理赔 未审核:0,审核中:1,审核通过:2,审核不通过:3）
     */
    private Integer checkStatusLp;

    /**
     * 文件列表数据对象
     */
    private List<ChFndAttach> fileDataList;

    public SrvOrganVo() {
    }

    public Integer getSrvOrganId() {
        return this.srvOrganId;
    }

    public String getOrganId() {
        return this.organId;
    }

    public String getSrvOrganName() {
        return this.srvOrganName;
    }

    public String getDistrictProvincial() {
        return this.districtProvincial;
    }

    public String getDistrictCity() {
        return this.districtCity;
    }

    public String getDistrictArea() {
        return this.districtArea;
    }

    public Integer getOrganTypeId() {
        return this.organTypeId;
    }

    public String getPermitId() {
        return this.permitId;
    }

    public String getAdressDetail() {
        return this.adressDetail;
    }

    public String getLinkName() {
        return this.linkName;
    }

    public String getLinkTel() {
        return this.linkTel;
    }

    public Integer getBunk() {
        return this.bunk;
    }

    public Integer getDefineEmp() {
        return this.defineEmp;
    }

    public Date getEffTime() {
        return this.effTime;
    }

    public Integer getEndEmp() {
        return this.endEmp;
    }

    public Date getEndTime() {
        return this.endTime;
    }

    public Date getFcd() {
        return this.fcd;
    }

    public Integer getFcu() {
        return this.fcu;
    }

    public Date getLcd() {
        return this.lcd;
    }

    public Integer getLcu() {
        return this.lcu;
    }

    public Integer getDataFrom() {
        return this.dataFrom;
    }

    public Integer getWebDefineEmp() {
        return this.webDefineEmp;
    }

    public Integer getWebEndEmp() {
        return this.webEndEmp;
    }

    public String getSrvType() {
        return this.srvType;
    }

    public String getAcptProvincial() {
        return this.acptProvincial;
    }

    public String getAcptCity() {
        return this.acptCity;
    }

    public String getAcptArea() {
        return this.acptArea;
    }

    public String getAcptStreet() {
        return this.acptStreet;
    }

    public String getAcptAddress() {
        return this.acptAddress;
    }

    public Integer getCfgModeId() {
        return this.cfgModeId;
    }

    public Integer getStatus() {
        return this.status;
    }

    public String getUnifiedSocialCreditCode() {
        return this.unifiedSocialCreditCode;
    }

    public String getAccName() {
        return this.accName;
    }

    public String getBankAccName() {
        return this.bankAccName;
    }

    public String getBankNo() {
        return this.bankNo;
    }

    public String getLinkMail() {
        return this.linkMail;
    }

    public Integer getLevelCode() {
        return this.levelCode;
    }

    public String getSrvOrganCode() {
        return this.srvOrganCode;
    }

    public String getAcptLongitude() {
        return this.acptLongitude;
    }

    public String getAcptLatitude() {
        return this.acptLatitude;
    }

    public String getAcptRoadDetail() {
        return this.acptRoadDetail;
    }

    public Integer getAcptRoadType() {
        return this.acptRoadType;
    }

    public String getAcptNumberDetail() {
        return this.acptNumberDetail;
    }

    public Integer getAcptNumberType() {
        return this.acptNumberType;
    }

    public String getMedicareNumber() {
        return this.medicareNumber;
    }

    public String getBankAccCode() {
        return this.bankAccCode;
    }

    public String getBankDistrictProvincial() {
        return this.bankDistrictProvincial;
    }

    public String getBankDistrictCity() {
        return this.bankDistrictCity;
    }

    public String getBankDistrictWebsite() {
        return this.bankDistrictWebsite;
    }

    public Integer getCardType() {
        return this.cardType;
    }

    public String getRemark() {
        return this.remark;
    }

    public String getCheckNameCh() {
        return this.checkNameCh;
    }

    public String getCheckRemarkCh() {
        return this.checkRemarkCh;
    }

    public Date getCheckTimeCh() {
        return this.checkTimeCh;
    }

    public Integer getCheckStatusCh() {
        return this.checkStatusCh;
    }

    public String getCheckNameLp() {
        return this.checkNameLp;
    }

    public String getCheckRemarkLp() {
        return this.checkRemarkLp;
    }

    public Date getCheckTimeLp() {
        return this.checkTimeLp;
    }

    public Integer getCheckStatusLp() {
        return this.checkStatusLp;
    }

    public List<ChFndAttach> getFileDataList() {
        return this.fileDataList;
    }

    public void setSrvOrganId(Integer srvOrganId) {
        this.srvOrganId = srvOrganId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public void setSrvOrganName(String srvOrganName) {
        this.srvOrganName = srvOrganName;
    }

    public void setDistrictProvincial(String districtProvincial) {
        this.districtProvincial = districtProvincial;
    }

    public void setDistrictCity(String districtCity) {
        this.districtCity = districtCity;
    }

    public void setDistrictArea(String districtArea) {
        this.districtArea = districtArea;
    }

    public void setOrganTypeId(Integer organTypeId) {
        this.organTypeId = organTypeId;
    }

    public void setPermitId(String permitId) {
        this.permitId = permitId;
    }

    public void setAdressDetail(String adressDetail) {
        this.adressDetail = adressDetail;
    }

    public void setLinkName(String linkName) {
        this.linkName = linkName;
    }

    public void setLinkTel(String linkTel) {
        this.linkTel = linkTel;
    }

    public void setBunk(Integer bunk) {
        this.bunk = bunk;
    }

    public void setDefineEmp(Integer defineEmp) {
        this.defineEmp = defineEmp;
    }

    public void setEffTime(Date effTime) {
        this.effTime = effTime;
    }

    public void setEndEmp(Integer endEmp) {
        this.endEmp = endEmp;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public void setFcd(Date fcd) {
        this.fcd = fcd;
    }

    public void setFcu(Integer fcu) {
        this.fcu = fcu;
    }

    public void setLcd(Date lcd) {
        this.lcd = lcd;
    }

    public void setLcu(Integer lcu) {
        this.lcu = lcu;
    }

    public void setDataFrom(Integer dataFrom) {
        this.dataFrom = dataFrom;
    }

    public void setWebDefineEmp(Integer webDefineEmp) {
        this.webDefineEmp = webDefineEmp;
    }

    public void setWebEndEmp(Integer webEndEmp) {
        this.webEndEmp = webEndEmp;
    }

    public void setSrvType(String srvType) {
        this.srvType = srvType;
    }

    public void setAcptProvincial(String acptProvincial) {
        this.acptProvincial = acptProvincial;
    }

    public void setAcptCity(String acptCity) {
        this.acptCity = acptCity;
    }

    public void setAcptArea(String acptArea) {
        this.acptArea = acptArea;
    }

    public void setAcptStreet(String acptStreet) {
        this.acptStreet = acptStreet;
    }

    public void setAcptAddress(String acptAddress) {
        this.acptAddress = acptAddress;
    }

    public void setCfgModeId(Integer cfgModeId) {
        this.cfgModeId = cfgModeId;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public void setUnifiedSocialCreditCode(String unifiedSocialCreditCode) {
        this.unifiedSocialCreditCode = unifiedSocialCreditCode;
    }

    public void setAccName(String accName) {
        this.accName = accName;
    }

    public void setBankAccName(String bankAccName) {
        this.bankAccName = bankAccName;
    }

    public void setBankNo(String bankNo) {
        this.bankNo = bankNo;
    }

    public void setLinkMail(String linkMail) {
        this.linkMail = linkMail;
    }

    public void setLevelCode(Integer levelCode) {
        this.levelCode = levelCode;
    }

    public void setSrvOrganCode(String srvOrganCode) {
        this.srvOrganCode = srvOrganCode;
    }

    public void setAcptLongitude(String acptLongitude) {
        this.acptLongitude = acptLongitude;
    }

    public void setAcptLatitude(String acptLatitude) {
        this.acptLatitude = acptLatitude;
    }

    public void setAcptRoadDetail(String acptRoadDetail) {
        this.acptRoadDetail = acptRoadDetail;
    }

    public void setAcptRoadType(Integer acptRoadType) {
        this.acptRoadType = acptRoadType;
    }

    public void setAcptNumberDetail(String acptNumberDetail) {
        this.acptNumberDetail = acptNumberDetail;
    }

    public void setAcptNumberType(Integer acptNumberType) {
        this.acptNumberType = acptNumberType;
    }

    public void setMedicareNumber(String medicareNumber) {
        this.medicareNumber = medicareNumber;
    }

    public void setBankAccCode(String bankAccCode) {
        this.bankAccCode = bankAccCode;
    }

    public void setBankDistrictProvincial(String bankDistrictProvincial) {
        this.bankDistrictProvincial = bankDistrictProvincial;
    }

    public void setBankDistrictCity(String bankDistrictCity) {
        this.bankDistrictCity = bankDistrictCity;
    }

    public void setBankDistrictWebsite(String bankDistrictWebsite) {
        this.bankDistrictWebsite = bankDistrictWebsite;
    }

    public void setCardType(Integer cardType) {
        this.cardType = cardType;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public void setCheckNameCh(String checkNameCh) {
        this.checkNameCh = checkNameCh;
    }

    public void setCheckRemarkCh(String checkRemarkCh) {
        this.checkRemarkCh = checkRemarkCh;
    }

    public void setCheckTimeCh(Date checkTimeCh) {
        this.checkTimeCh = checkTimeCh;
    }

    public void setCheckStatusCh(Integer checkStatusCh) {
        this.checkStatusCh = checkStatusCh;
    }

    public void setCheckNameLp(String checkNameLp) {
        this.checkNameLp = checkNameLp;
    }

    public void setCheckRemarkLp(String checkRemarkLp) {
        this.checkRemarkLp = checkRemarkLp;
    }

    public void setCheckTimeLp(Date checkTimeLp) {
        this.checkTimeLp = checkTimeLp;
    }

    public void setCheckStatusLp(Integer checkStatusLp) {
        this.checkStatusLp = checkStatusLp;
    }

    public void setFileDataList(List<ChFndAttach> fileDataList) {
        this.fileDataList = fileDataList;
    }

    public boolean equals(final Object o) {
        if (o == this) return true;
        if (!(o instanceof SrvOrganVo)) return false;
        final SrvOrganVo other = (SrvOrganVo) o;
        if (!other.canEqual((Object) this)) return false;
        final Object this$srvOrganId = this.getSrvOrganId();
        final Object other$srvOrganId = other.getSrvOrganId();
        if (this$srvOrganId == null ? other$srvOrganId != null : !this$srvOrganId.equals(other$srvOrganId))
            return false;
        final Object this$organId = this.getOrganId();
        final Object other$organId = other.getOrganId();
        if (this$organId == null ? other$organId != null : !this$organId.equals(other$organId)) return false;
        final Object this$srvOrganName = this.getSrvOrganName();
        final Object other$srvOrganName = other.getSrvOrganName();
        if (this$srvOrganName == null ? other$srvOrganName != null : !this$srvOrganName.equals(other$srvOrganName))
            return false;
        final Object this$districtProvincial = this.getDistrictProvincial();
        final Object other$districtProvincial = other.getDistrictProvincial();
        if (this$districtProvincial == null ? other$districtProvincial != null : !this$districtProvincial.equals(other$districtProvincial))
            return false;
        final Object this$districtCity = this.getDistrictCity();
        final Object other$districtCity = other.getDistrictCity();
        if (this$districtCity == null ? other$districtCity != null : !this$districtCity.equals(other$districtCity))
            return false;
        final Object this$districtArea = this.getDistrictArea();
        final Object other$districtArea = other.getDistrictArea();
        if (this$districtArea == null ? other$districtArea != null : !this$districtArea.equals(other$districtArea))
            return false;
        final Object this$organTypeId = this.getOrganTypeId();
        final Object other$organTypeId = other.getOrganTypeId();
        if (this$organTypeId == null ? other$organTypeId != null : !this$organTypeId.equals(other$organTypeId))
            return false;
        final Object this$permitId = this.getPermitId();
        final Object other$permitId = other.getPermitId();
        if (this$permitId == null ? other$permitId != null : !this$permitId.equals(other$permitId)) return false;
        final Object this$adressDetail = this.getAdressDetail();
        final Object other$adressDetail = other.getAdressDetail();
        if (this$adressDetail == null ? other$adressDetail != null : !this$adressDetail.equals(other$adressDetail))
            return false;
        final Object this$linkName = this.getLinkName();
        final Object other$linkName = other.getLinkName();
        if (this$linkName == null ? other$linkName != null : !this$linkName.equals(other$linkName)) return false;
        final Object this$linkTel = this.getLinkTel();
        final Object other$linkTel = other.getLinkTel();
        if (this$linkTel == null ? other$linkTel != null : !this$linkTel.equals(other$linkTel)) return false;
        final Object this$bunk = this.getBunk();
        final Object other$bunk = other.getBunk();
        if (this$bunk == null ? other$bunk != null : !this$bunk.equals(other$bunk)) return false;
        final Object this$defineEmp = this.getDefineEmp();
        final Object other$defineEmp = other.getDefineEmp();
        if (this$defineEmp == null ? other$defineEmp != null : !this$defineEmp.equals(other$defineEmp)) return false;
        final Object this$effTime = this.getEffTime();
        final Object other$effTime = other.getEffTime();
        if (this$effTime == null ? other$effTime != null : !this$effTime.equals(other$effTime)) return false;
        final Object this$endEmp = this.getEndEmp();
        final Object other$endEmp = other.getEndEmp();
        if (this$endEmp == null ? other$endEmp != null : !this$endEmp.equals(other$endEmp)) return false;
        final Object this$endTime = this.getEndTime();
        final Object other$endTime = other.getEndTime();
        if (this$endTime == null ? other$endTime != null : !this$endTime.equals(other$endTime)) return false;
        final Object this$fcd = this.getFcd();
        final Object other$fcd = other.getFcd();
        if (this$fcd == null ? other$fcd != null : !this$fcd.equals(other$fcd)) return false;
        final Object this$fcu = this.getFcu();
        final Object other$fcu = other.getFcu();
        if (this$fcu == null ? other$fcu != null : !this$fcu.equals(other$fcu)) return false;
        final Object this$lcd = this.getLcd();
        final Object other$lcd = other.getLcd();
        if (this$lcd == null ? other$lcd != null : !this$lcd.equals(other$lcd)) return false;
        final Object this$lcu = this.getLcu();
        final Object other$lcu = other.getLcu();
        if (this$lcu == null ? other$lcu != null : !this$lcu.equals(other$lcu)) return false;
        final Object this$dataFrom = this.getDataFrom();
        final Object other$dataFrom = other.getDataFrom();
        if (this$dataFrom == null ? other$dataFrom != null : !this$dataFrom.equals(other$dataFrom)) return false;
        final Object this$webDefineEmp = this.getWebDefineEmp();
        final Object other$webDefineEmp = other.getWebDefineEmp();
        if (this$webDefineEmp == null ? other$webDefineEmp != null : !this$webDefineEmp.equals(other$webDefineEmp))
            return false;
        final Object this$webEndEmp = this.getWebEndEmp();
        final Object other$webEndEmp = other.getWebEndEmp();
        if (this$webEndEmp == null ? other$webEndEmp != null : !this$webEndEmp.equals(other$webEndEmp)) return false;
        final Object this$srvType = this.getSrvType();
        final Object other$srvType = other.getSrvType();
        if (this$srvType == null ? other$srvType != null : !this$srvType.equals(other$srvType)) return false;
        final Object this$acptProvincial = this.getAcptProvincial();
        final Object other$acptProvincial = other.getAcptProvincial();
        if (this$acptProvincial == null ? other$acptProvincial != null : !this$acptProvincial.equals(other$acptProvincial))
            return false;
        final Object this$acptCity = this.getAcptCity();
        final Object other$acptCity = other.getAcptCity();
        if (this$acptCity == null ? other$acptCity != null : !this$acptCity.equals(other$acptCity)) return false;
        final Object this$acptArea = this.getAcptArea();
        final Object other$acptArea = other.getAcptArea();
        if (this$acptArea == null ? other$acptArea != null : !this$acptArea.equals(other$acptArea)) return false;
        final Object this$acptStreet = this.getAcptStreet();
        final Object other$acptStreet = other.getAcptStreet();
        if (this$acptStreet == null ? other$acptStreet != null : !this$acptStreet.equals(other$acptStreet))
            return false;
        final Object this$acptAddress = this.getAcptAddress();
        final Object other$acptAddress = other.getAcptAddress();
        if (this$acptAddress == null ? other$acptAddress != null : !this$acptAddress.equals(other$acptAddress))
            return false;
        final Object this$cfgModeId = this.getCfgModeId();
        final Object other$cfgModeId = other.getCfgModeId();
        if (this$cfgModeId == null ? other$cfgModeId != null : !this$cfgModeId.equals(other$cfgModeId)) return false;
        final Object this$status = this.getStatus();
        final Object other$status = other.getStatus();
        if (this$status == null ? other$status != null : !this$status.equals(other$status)) return false;
        final Object this$unifiedSocialCreditCode = this.getUnifiedSocialCreditCode();
        final Object other$unifiedSocialCreditCode = other.getUnifiedSocialCreditCode();
        if (this$unifiedSocialCreditCode == null ? other$unifiedSocialCreditCode != null : !this$unifiedSocialCreditCode.equals(other$unifiedSocialCreditCode))
            return false;
        final Object this$accName = this.getAccName();
        final Object other$accName = other.getAccName();
        if (this$accName == null ? other$accName != null : !this$accName.equals(other$accName)) return false;
        final Object this$bankAccName = this.getBankAccName();
        final Object other$bankAccName = other.getBankAccName();
        if (this$bankAccName == null ? other$bankAccName != null : !this$bankAccName.equals(other$bankAccName))
            return false;
        final Object this$bankNo = this.getBankNo();
        final Object other$bankNo = other.getBankNo();
        if (this$bankNo == null ? other$bankNo != null : !this$bankNo.equals(other$bankNo)) return false;
        final Object this$linkMail = this.getLinkMail();
        final Object other$linkMail = other.getLinkMail();
        if (this$linkMail == null ? other$linkMail != null : !this$linkMail.equals(other$linkMail)) return false;
        final Object this$levelCode = this.getLevelCode();
        final Object other$levelCode = other.getLevelCode();
        if (this$levelCode == null ? other$levelCode != null : !this$levelCode.equals(other$levelCode)) return false;
        final Object this$srvOrganCode = this.getSrvOrganCode();
        final Object other$srvOrganCode = other.getSrvOrganCode();
        if (this$srvOrganCode == null ? other$srvOrganCode != null : !this$srvOrganCode.equals(other$srvOrganCode))
            return false;
        final Object this$acptLongitude = this.getAcptLongitude();
        final Object other$acptLongitude = other.getAcptLongitude();
        if (this$acptLongitude == null ? other$acptLongitude != null : !this$acptLongitude.equals(other$acptLongitude))
            return false;
        final Object this$acptLatitude = this.getAcptLatitude();
        final Object other$acptLatitude = other.getAcptLatitude();
        if (this$acptLatitude == null ? other$acptLatitude != null : !this$acptLatitude.equals(other$acptLatitude))
            return false;
        final Object this$acptRoadDetail = this.getAcptRoadDetail();
        final Object other$acptRoadDetail = other.getAcptRoadDetail();
        if (this$acptRoadDetail == null ? other$acptRoadDetail != null : !this$acptRoadDetail.equals(other$acptRoadDetail))
            return false;
        final Object this$acptRoadType = this.getAcptRoadType();
        final Object other$acptRoadType = other.getAcptRoadType();
        if (this$acptRoadType == null ? other$acptRoadType != null : !this$acptRoadType.equals(other$acptRoadType))
            return false;
        final Object this$acptNumberDetail = this.getAcptNumberDetail();
        final Object other$acptNumberDetail = other.getAcptNumberDetail();
        if (this$acptNumberDetail == null ? other$acptNumberDetail != null : !this$acptNumberDetail.equals(other$acptNumberDetail))
            return false;
        final Object this$acptNumberType = this.getAcptNumberType();
        final Object other$acptNumberType = other.getAcptNumberType();
        if (this$acptNumberType == null ? other$acptNumberType != null : !this$acptNumberType.equals(other$acptNumberType))
            return false;
        final Object this$medicareNumber = this.getMedicareNumber();
        final Object other$medicareNumber = other.getMedicareNumber();
        if (this$medicareNumber == null ? other$medicareNumber != null : !this$medicareNumber.equals(other$medicareNumber))
            return false;
        final Object this$bankAccCode = this.getBankAccCode();
        final Object other$bankAccCode = other.getBankAccCode();
        if (this$bankAccCode == null ? other$bankAccCode != null : !this$bankAccCode.equals(other$bankAccCode))
            return false;
        final Object this$bankDistrictProvincial = this.getBankDistrictProvincial();
        final Object other$bankDistrictProvincial = other.getBankDistrictProvincial();
        if (this$bankDistrictProvincial == null ? other$bankDistrictProvincial != null : !this$bankDistrictProvincial.equals(other$bankDistrictProvincial))
            return false;
        final Object this$bankDistrictCity = this.getBankDistrictCity();
        final Object other$bankDistrictCity = other.getBankDistrictCity();
        if (this$bankDistrictCity == null ? other$bankDistrictCity != null : !this$bankDistrictCity.equals(other$bankDistrictCity))
            return false;
        final Object this$bankDistrictWebsite = this.getBankDistrictWebsite();
        final Object other$bankDistrictWebsite = other.getBankDistrictWebsite();
        if (this$bankDistrictWebsite == null ? other$bankDistrictWebsite != null : !this$bankDistrictWebsite.equals(other$bankDistrictWebsite))
            return false;
        final Object this$cardType = this.getCardType();
        final Object other$cardType = other.getCardType();
        if (this$cardType == null ? other$cardType != null : !this$cardType.equals(other$cardType)) return false;
        final Object this$remark = this.getRemark();
        final Object other$remark = other.getRemark();
        if (this$remark == null ? other$remark != null : !this$remark.equals(other$remark)) return false;
        final Object this$checkNameCh = this.getCheckNameCh();
        final Object other$checkNameCh = other.getCheckNameCh();
        if (this$checkNameCh == null ? other$checkNameCh != null : !this$checkNameCh.equals(other$checkNameCh))
            return false;
        final Object this$checkRemarkCh = this.getCheckRemarkCh();
        final Object other$checkRemarkCh = other.getCheckRemarkCh();
        if (this$checkRemarkCh == null ? other$checkRemarkCh != null : !this$checkRemarkCh.equals(other$checkRemarkCh))
            return false;
        final Object this$checkTimeCh = this.getCheckTimeCh();
        final Object other$checkTimeCh = other.getCheckTimeCh();
        if (this$checkTimeCh == null ? other$checkTimeCh != null : !this$checkTimeCh.equals(other$checkTimeCh))
            return false;
        final Object this$checkStatusCh = this.getCheckStatusCh();
        final Object other$checkStatusCh = other.getCheckStatusCh();
        if (this$checkStatusCh == null ? other$checkStatusCh != null : !this$checkStatusCh.equals(other$checkStatusCh))
            return false;
        final Object this$checkNameLp = this.getCheckNameLp();
        final Object other$checkNameLp = other.getCheckNameLp();
        if (this$checkNameLp == null ? other$checkNameLp != null : !this$checkNameLp.equals(other$checkNameLp))
            return false;
        final Object this$checkRemarkLp = this.getCheckRemarkLp();
        final Object other$checkRemarkLp = other.getCheckRemarkLp();
        if (this$checkRemarkLp == null ? other$checkRemarkLp != null : !this$checkRemarkLp.equals(other$checkRemarkLp))
            return false;
        final Object this$checkTimeLp = this.getCheckTimeLp();
        final Object other$checkTimeLp = other.getCheckTimeLp();
        if (this$checkTimeLp == null ? other$checkTimeLp != null : !this$checkTimeLp.equals(other$checkTimeLp))
            return false;
        final Object this$checkStatusLp = this.getCheckStatusLp();
        final Object other$checkStatusLp = other.getCheckStatusLp();
        if (this$checkStatusLp == null ? other$checkStatusLp != null : !this$checkStatusLp.equals(other$checkStatusLp))
            return false;
        final Object this$fileDataList = this.getFileDataList();
        final Object other$fileDataList = other.getFileDataList();
        if (this$fileDataList == null ? other$fileDataList != null : !this$fileDataList.equals(other$fileDataList))
            return false;
        return true;
    }

    protected boolean canEqual(final Object other) {
        return other instanceof SrvOrganVo;
    }

    public int hashCode() {
        final int PRIME = 59;
        int result = 1;
        final Object $srvOrganId = this.getSrvOrganId();
        result = result * PRIME + ($srvOrganId == null ? 43 : $srvOrganId.hashCode());
        final Object $organId = this.getOrganId();
        result = result * PRIME + ($organId == null ? 43 : $organId.hashCode());
        final Object $srvOrganName = this.getSrvOrganName();
        result = result * PRIME + ($srvOrganName == null ? 43 : $srvOrganName.hashCode());
        final Object $districtProvincial = this.getDistrictProvincial();
        result = result * PRIME + ($districtProvincial == null ? 43 : $districtProvincial.hashCode());
        final Object $districtCity = this.getDistrictCity();
        result = result * PRIME + ($districtCity == null ? 43 : $districtCity.hashCode());
        final Object $districtArea = this.getDistrictArea();
        result = result * PRIME + ($districtArea == null ? 43 : $districtArea.hashCode());
        final Object $organTypeId = this.getOrganTypeId();
        result = result * PRIME + ($organTypeId == null ? 43 : $organTypeId.hashCode());
        final Object $permitId = this.getPermitId();
        result = result * PRIME + ($permitId == null ? 43 : $permitId.hashCode());
        final Object $adressDetail = this.getAdressDetail();
        result = result * PRIME + ($adressDetail == null ? 43 : $adressDetail.hashCode());
        final Object $linkName = this.getLinkName();
        result = result * PRIME + ($linkName == null ? 43 : $linkName.hashCode());
        final Object $linkTel = this.getLinkTel();
        result = result * PRIME + ($linkTel == null ? 43 : $linkTel.hashCode());
        final Object $bunk = this.getBunk();
        result = result * PRIME + ($bunk == null ? 43 : $bunk.hashCode());
        final Object $defineEmp = this.getDefineEmp();
        result = result * PRIME + ($defineEmp == null ? 43 : $defineEmp.hashCode());
        final Object $effTime = this.getEffTime();
        result = result * PRIME + ($effTime == null ? 43 : $effTime.hashCode());
        final Object $endEmp = this.getEndEmp();
        result = result * PRIME + ($endEmp == null ? 43 : $endEmp.hashCode());
        final Object $endTime = this.getEndTime();
        result = result * PRIME + ($endTime == null ? 43 : $endTime.hashCode());
        final Object $fcd = this.getFcd();
        result = result * PRIME + ($fcd == null ? 43 : $fcd.hashCode());
        final Object $fcu = this.getFcu();
        result = result * PRIME + ($fcu == null ? 43 : $fcu.hashCode());
        final Object $lcd = this.getLcd();
        result = result * PRIME + ($lcd == null ? 43 : $lcd.hashCode());
        final Object $lcu = this.getLcu();
        result = result * PRIME + ($lcu == null ? 43 : $lcu.hashCode());
        final Object $dataFrom = this.getDataFrom();
        result = result * PRIME + ($dataFrom == null ? 43 : $dataFrom.hashCode());
        final Object $webDefineEmp = this.getWebDefineEmp();
        result = result * PRIME + ($webDefineEmp == null ? 43 : $webDefineEmp.hashCode());
        final Object $webEndEmp = this.getWebEndEmp();
        result = result * PRIME + ($webEndEmp == null ? 43 : $webEndEmp.hashCode());
        final Object $srvType = this.getSrvType();
        result = result * PRIME + ($srvType == null ? 43 : $srvType.hashCode());
        final Object $acptProvincial = this.getAcptProvincial();
        result = result * PRIME + ($acptProvincial == null ? 43 : $acptProvincial.hashCode());
        final Object $acptCity = this.getAcptCity();
        result = result * PRIME + ($acptCity == null ? 43 : $acptCity.hashCode());
        final Object $acptArea = this.getAcptArea();
        result = result * PRIME + ($acptArea == null ? 43 : $acptArea.hashCode());
        final Object $acptStreet = this.getAcptStreet();
        result = result * PRIME + ($acptStreet == null ? 43 : $acptStreet.hashCode());
        final Object $acptAddress = this.getAcptAddress();
        result = result * PRIME + ($acptAddress == null ? 43 : $acptAddress.hashCode());
        final Object $cfgModeId = this.getCfgModeId();
        result = result * PRIME + ($cfgModeId == null ? 43 : $cfgModeId.hashCode());
        final Object $status = this.getStatus();
        result = result * PRIME + ($status == null ? 43 : $status.hashCode());
        final Object $unifiedSocialCreditCode = this.getUnifiedSocialCreditCode();
        result = result * PRIME + ($unifiedSocialCreditCode == null ? 43 : $unifiedSocialCreditCode.hashCode());
        final Object $accName = this.getAccName();
        result = result * PRIME + ($accName == null ? 43 : $accName.hashCode());
        final Object $bankAccName = this.getBankAccName();
        result = result * PRIME + ($bankAccName == null ? 43 : $bankAccName.hashCode());
        final Object $bankNo = this.getBankNo();
        result = result * PRIME + ($bankNo == null ? 43 : $bankNo.hashCode());
        final Object $linkMail = this.getLinkMail();
        result = result * PRIME + ($linkMail == null ? 43 : $linkMail.hashCode());
        final Object $levelCode = this.getLevelCode();
        result = result * PRIME + ($levelCode == null ? 43 : $levelCode.hashCode());
        final Object $srvOrganCode = this.getSrvOrganCode();
        result = result * PRIME + ($srvOrganCode == null ? 43 : $srvOrganCode.hashCode());
        final Object $acptLongitude = this.getAcptLongitude();
        result = result * PRIME + ($acptLongitude == null ? 43 : $acptLongitude.hashCode());
        final Object $acptLatitude = this.getAcptLatitude();
        result = result * PRIME + ($acptLatitude == null ? 43 : $acptLatitude.hashCode());
        final Object $acptRoadDetail = this.getAcptRoadDetail();
        result = result * PRIME + ($acptRoadDetail == null ? 43 : $acptRoadDetail.hashCode());
        final Object $acptRoadType = this.getAcptRoadType();
        result = result * PRIME + ($acptRoadType == null ? 43 : $acptRoadType.hashCode());
        final Object $acptNumberDetail = this.getAcptNumberDetail();
        result = result * PRIME + ($acptNumberDetail == null ? 43 : $acptNumberDetail.hashCode());
        final Object $acptNumberType = this.getAcptNumberType();
        result = result * PRIME + ($acptNumberType == null ? 43 : $acptNumberType.hashCode());
        final Object $medicareNumber = this.getMedicareNumber();
        result = result * PRIME + ($medicareNumber == null ? 43 : $medicareNumber.hashCode());
        final Object $bankAccCode = this.getBankAccCode();
        result = result * PRIME + ($bankAccCode == null ? 43 : $bankAccCode.hashCode());
        final Object $bankDistrictProvincial = this.getBankDistrictProvincial();
        result = result * PRIME + ($bankDistrictProvincial == null ? 43 : $bankDistrictProvincial.hashCode());
        final Object $bankDistrictCity = this.getBankDistrictCity();
        result = result * PRIME + ($bankDistrictCity == null ? 43 : $bankDistrictCity.hashCode());
        final Object $bankDistrictWebsite = this.getBankDistrictWebsite();
        result = result * PRIME + ($bankDistrictWebsite == null ? 43 : $bankDistrictWebsite.hashCode());
        final Object $cardType = this.getCardType();
        result = result * PRIME + ($cardType == null ? 43 : $cardType.hashCode());
        final Object $remark = this.getRemark();
        result = result * PRIME + ($remark == null ? 43 : $remark.hashCode());
        final Object $checkNameCh = this.getCheckNameCh();
        result = result * PRIME + ($checkNameCh == null ? 43 : $checkNameCh.hashCode());
        final Object $checkRemarkCh = this.getCheckRemarkCh();
        result = result * PRIME + ($checkRemarkCh == null ? 43 : $checkRemarkCh.hashCode());
        final Object $checkTimeCh = this.getCheckTimeCh();
        result = result * PRIME + ($checkTimeCh == null ? 43 : $checkTimeCh.hashCode());
        final Object $checkStatusCh = this.getCheckStatusCh();
        result = result * PRIME + ($checkStatusCh == null ? 43 : $checkStatusCh.hashCode());
        final Object $checkNameLp = this.getCheckNameLp();
        result = result * PRIME + ($checkNameLp == null ? 43 : $checkNameLp.hashCode());
        final Object $checkRemarkLp = this.getCheckRemarkLp();
        result = result * PRIME + ($checkRemarkLp == null ? 43 : $checkRemarkLp.hashCode());
        final Object $checkTimeLp = this.getCheckTimeLp();
        result = result * PRIME + ($checkTimeLp == null ? 43 : $checkTimeLp.hashCode());
        final Object $checkStatusLp = this.getCheckStatusLp();
        result = result * PRIME + ($checkStatusLp == null ? 43 : $checkStatusLp.hashCode());
        final Object $fileDataList = this.getFileDataList();
        result = result * PRIME + ($fileDataList == null ? 43 : $fileDataList.hashCode());
        return result;
    }

    public String toString() {
        return "SrvOrganVo(srvOrganId=" + this.getSrvOrganId() + ", organId=" + this.getOrganId() + ", srvOrganName=" + this.getSrvOrganName() + ", districtProvincial=" + this.getDistrictProvincial() + ", districtCity=" + this.getDistrictCity() + ", districtArea=" + this.getDistrictArea() + ", organTypeId=" + this.getOrganTypeId() + ", permitId=" + this.getPermitId() + ", adressDetail=" + this.getAdressDetail() + ", linkName=" + this.getLinkName() + ", linkTel=" + this.getLinkTel() + ", bunk=" + this.getBunk() + ", defineEmp=" + this.getDefineEmp() + ", effTime=" + this.getEffTime() + ", endEmp=" + this.getEndEmp() + ", endTime=" + this.getEndTime() + ", fcd=" + this.getFcd() + ", fcu=" + this.getFcu() + ", lcd=" + this.getLcd() + ", lcu=" + this.getLcu() + ", dataFrom=" + this.getDataFrom() + ", webDefineEmp=" + this.getWebDefineEmp() + ", webEndEmp=" + this.getWebEndEmp() + ", srvType=" + this.getSrvType() + ", acptProvincial=" + this.getAcptProvincial() + ", acptCity=" + this.getAcptCity() + ", acptArea=" + this.getAcptArea() + ", acptStreet=" + this.getAcptStreet() + ", acptAddress=" + this.getAcptAddress() + ", cfgModeId=" + this.getCfgModeId() + ", status=" + this.getStatus() + ", unifiedSocialCreditCode=" + this.getUnifiedSocialCreditCode() + ", accName=" + this.getAccName() + ", bankAccName=" + this.getBankAccName() + ", bankNo=" + this.getBankNo() + ", linkMail=" + this.getLinkMail() + ", levelCode=" + this.getLevelCode() + ", srvOrganCode=" + this.getSrvOrganCode() + ", acptLongitude=" + this.getAcptLongitude() + ", acptLatitude=" + this.getAcptLatitude() + ", acptRoadDetail=" + this.getAcptRoadDetail() + ", acptRoadType=" + this.getAcptRoadType() + ", acptNumberDetail=" + this.getAcptNumberDetail() + ", acptNumberType=" + this.getAcptNumberType() + ", medicareNumber=" + this.getMedicareNumber() + ", bankAccCode=" + this.getBankAccCode() + ", bankDistrictProvincial=" + this.getBankDistrictProvincial() + ", bankDistrictCity=" + this.getBankDistrictCity() + ", bankDistrictWebsite=" + this.getBankDistrictWebsite() + ", cardType=" + this.getCardType() + ", remark=" + this.getRemark() + ", checkNameCh=" + this.getCheckNameCh() + ", checkRemarkCh=" + this.getCheckRemarkCh() + ", checkTimeCh=" + this.getCheckTimeCh() + ", checkStatusCh=" + this.getCheckStatusCh() + ", checkNameLp=" + this.getCheckNameLp() + ", checkRemarkLp=" + this.getCheckRemarkLp() + ", checkTimeLp=" + this.getCheckTimeLp() + ", checkStatusLp=" + this.getCheckStatusLp() + ", fileDataList=" + this.getFileDataList() + ")";
    }
}